Open CASCADE Technology
7.5.0
|
This class implements the following algorithms used to create a CylindricalSurface from Geom. More...
#include <GC_MakeCylindricalSurface.hxx>
Public Member Functions | |
GC_MakeCylindricalSurface (const gp_Ax2 &A2, const Standard_Real Radius) | |
A2 defines the local coordinate system of the cylindrical surface. The "ZDirection" of A2 defines the direction of the surface's axis of symmetry. At the creation the parametrization of the surface is defined such that the normal Vector (N = D1U ^ D1V) is oriented towards the "outside region" of the surface. Warnings : It is not forbidden to create a cylindrical surface with Radius = 0.0 Status is "NegativeRadius" if Radius < 0.0. More... | |
GC_MakeCylindricalSurface (const gp_Cylinder &C) | |
Creates a CylindricalSurface from a non persistent Cylinder from package gp. More... | |
GC_MakeCylindricalSurface (const gp_Cylinder &Cyl, const gp_Pnt &Point) | |
Make a CylindricalSurface from Geom <TheCylinder> parallel to another CylindricalSurface <Cylinder> and passing through a Pnt <Point>. More... | |
GC_MakeCylindricalSurface (const gp_Cylinder &Cyl, const Standard_Real Dist) | |
Make a CylindricalSurface from Geom <TheCylinder> parallel to another CylindricalSurface <Cylinder> at the distance <Dist> which can be greater or lower than zero. The radius of the result is the absolute value of the radius of <Cyl> plus <Dist> More... | |
GC_MakeCylindricalSurface (const gp_Pnt &P1, const gp_Pnt &P2, const gp_Pnt &P3) | |
Make a CylindricalSurface from Geom <TheCylinder> passing through 3 Pnt <P1>,<P2>,<P3>. Its axis is <P1P2> and its radius is the distance between <P3> and <P1P2> More... | |
GC_MakeCylindricalSurface (const gp_Ax1 &Axis, const Standard_Real Radius) | |
Make a CylindricalSurface by its axis <Axis> and radius <Radius>. More... | |
GC_MakeCylindricalSurface (const gp_Circ &Circ) | |
Make a CylindricalSurface by its circular base. More... | |
const Handle< Geom_CylindricalSurface > & | Value () const |
Returns the constructed cylinder. Exceptions StdFail_NotDone if no cylinder is constructed. More... | |
operator const Handle< Geom_CylindricalSurface > & () const | |
Public Member Functions inherited from GC_Root | |
Standard_Boolean | IsDone () const |
Returns true if the construction is successful. More... | |
gce_ErrorType | Status () const |
Returns the status of the construction: More... | |
Additional Inherited Members | |
Protected Attributes inherited from GC_Root | |
gce_ErrorType | TheError |
This class implements the following algorithms used to create a CylindricalSurface from Geom.
The "ZAxis" is the symmetry axis of the CylindricalSurface, it gives the direction of increasing parametric value V.
The parametrization range is : U [0, 2*PI], V ]- infinite, + infinite[
The "XAxis" and the "YAxis" define the placement plane of the surface (Z = 0, and parametric value V = 0) perpendicular to the symmetry axis. The "XAxis" defines the origin of the parameter U = 0. The trigonometric sense gives the positive orientation for the parameter U.
GC_MakeCylindricalSurface::GC_MakeCylindricalSurface | ( | const gp_Ax2 & | A2, |
const Standard_Real | Radius | ||
) |
A2 defines the local coordinate system of the cylindrical surface. The "ZDirection" of A2 defines the direction of the surface's axis of symmetry. At the creation the parametrization of the surface is defined such that the normal Vector (N = D1U ^ D1V) is oriented towards the "outside region" of the surface. Warnings : It is not forbidden to create a cylindrical surface with Radius = 0.0 Status is "NegativeRadius" if Radius < 0.0.
GC_MakeCylindricalSurface::GC_MakeCylindricalSurface | ( | const gp_Cylinder & | C | ) |
Creates a CylindricalSurface from a non persistent Cylinder from package gp.
GC_MakeCylindricalSurface::GC_MakeCylindricalSurface | ( | const gp_Cylinder & | Cyl, |
const gp_Pnt & | Point | ||
) |
Make a CylindricalSurface from Geom <TheCylinder> parallel to another CylindricalSurface <Cylinder> and passing through a Pnt <Point>.
GC_MakeCylindricalSurface::GC_MakeCylindricalSurface | ( | const gp_Cylinder & | Cyl, |
const Standard_Real | Dist | ||
) |
Make a CylindricalSurface from Geom <TheCylinder> parallel to another CylindricalSurface <Cylinder> at the distance <Dist> which can be greater or lower than zero. The radius of the result is the absolute value of the radius of <Cyl> plus <Dist>
GC_MakeCylindricalSurface::GC_MakeCylindricalSurface | ( | const gp_Pnt & | P1, |
const gp_Pnt & | P2, | ||
const gp_Pnt & | P3 | ||
) |
Make a CylindricalSurface from Geom <TheCylinder> passing through 3 Pnt <P1>,<P2>,<P3>. Its axis is <P1P2> and its radius is the distance between <P3> and <P1P2>
GC_MakeCylindricalSurface::GC_MakeCylindricalSurface | ( | const gp_Ax1 & | Axis, |
const Standard_Real | Radius | ||
) |
Make a CylindricalSurface by its axis <Axis> and radius <Radius>.
GC_MakeCylindricalSurface::GC_MakeCylindricalSurface | ( | const gp_Circ & | Circ | ) |
Make a CylindricalSurface by its circular base.
|
inline |
const Handle< Geom_CylindricalSurface >& GC_MakeCylindricalSurface::Value | ( | ) | const |
Returns the constructed cylinder. Exceptions StdFail_NotDone if no cylinder is constructed.